Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 597039

Summary: Wrong local currency symbol for Nicaragua
Product: [Fedora] Fedora Reporter: Neville A. Cross <yn1v>
Component: glibcAssignee: Jeff Law <law>
Status: CLOSED WORKSFORME QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 16CC: drjohnson1, fweimer, jakub, schwab, trans-es
Target Milestone: ---Keywords: Reopened, Triaged
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-01-25 04:13:33 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Neville A. Cross 2010-05-28 01:02:27 UTC
Description of problem:
The currency symbol for Nicaragua is wrong.

Version-Release number of selected component (if applicable):
I have tried in Fedora 12. I will comment if I find this in Fedora 13 as soon as I upgrade my system

How reproducible:
Look for the currency symbol

Steps to Reproduce:
1. locale -k LC_MONETARY | grep currency_symbol
  
Actual results:
currency_symbol="$C"
duo_currency_symbol="$C"

Expected results:
currency_symbol="C$"
duo_currency_symbol="C$"

Additional info:

The currency symbol is C$ but in the system has been set in reverse order.

Comment 1 Neville A. Cross 2010-05-28 01:03:47 UTC
Sorry I miss one step in order to reproduce

Steps to Reproduce:
1. set system language to ES-ni
2. locale -k LC_MONETARY | grep currency_symbol

Comment 2 Piotr Drąg 2010-06-27 17:15:38 UTC
Moving to glibc component.

Comment 3 d. johnson 2010-06-30 20:00:50 UTC
$ LC_ALL=es_NI locale -k LC_MONETARY | grep currency_symbol
currency_symbol="$C"
duo_currency_symbol="$C"

Happens in both glibc-2.11.2-1 (f12) and glibc-2.12-2 (f13).

Comment 4 d. johnson 2010-07-06 16:35:25 UTC
---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers




-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 5 Bug Zapper 2010-11-03 13:59:23 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Neville A. Cross 2010-11-23 04:56:19 UTC
$ LC_ALL=es_NI locale -k LC_MONETARY | grep currency_symbol
currency_symbol="$C"
duo_currency_symbol="$C"

Just tested this error in Fedora 14.

The correct currency symbol for Nicaragua is C$

Comment 7 Bug Zapper 2010-12-03 14:16:11 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 8 Neville A. Cross 2010-12-03 16:27:37 UTC
On November, 22nd I tried the bug in Fedora 14 and it is still present. That's why I am reopening this bug.

I understand that the closing is a default action for EOL, I did miss to update the version last time I commented. Sorry about that.

Comment 9 Fedora Admin XMLRPC Client 2011-11-14 19:44:24 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 10 Neville A. Cross 2011-11-14 22:02:05 UTC
I just tried on Fedora 16. 

The first command to set the language did not change anything, it gave me the default curency symbol "$"

But then I went to the system seting GUI and changed the locale there.

The GUI shows the symbol correctly and also when I go to the terminal is correct.

Using: glibc-2.14.90-14

I will look for a computer running Fedora 15 to comment on this.

Comment 11 Jeff Law 2012-01-25 04:13:33 UTC
This was fixed upstream on May 2011 and was part of F16:

[law@lugnut locales]$ LC_ALL=es_NI locale -k LC_MONETARY | grep currency_symbol
currency_symbol="C$"
duo_currency_symbol="C$"